hdcp22_rx_dp: Data Fields

| hdcp22_rx_dp Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- h
- i
- l
- m
- n
- p
- r
- s
- t
- u
- v

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- AuthenticatedCallback : XHdcp22_Rx_Handles
- AuthenticatedCallbackRef : XHdcp22_Rx_Handles
- AuthenticationRequestCallback : XHdcp22_Rx_Handles
- AuthenticationRequestCallbackRef : XHdcp22_Rx_Handles
- AuthenticationStatus : XHdcp22_Rx_Info
- AuthRequestCnt : XHdcp22_Rx_Info

### - b -

- BaseAddress : XHdcp22_Rx_Config

### - c -

- CipherDeviceId : XHdcp22_Rx_Config
- CipherInst : XHdcp22_Rx
- Config : XHdcp22_Rx
- CurrentState : XHdcp22_Rx_Info

### - d -

- Data : XHdcp22_Rx_LogItem
- DdcClearReadBufferCallback : XHdcp22_Rx_Handles
- DdcClearReadBufferCallbackRef : XHdcp22_Rx_Handles
- DdcClearRepeaterReadyCallback : XHdcp22_Rx_Handles
- DdcClearRepeaterReadyCallbackRef : XHdcp22_Rx_Handles
- DdcClearWriteBufferCallback : XHdcp22_Rx_Handles
- DdcClearWriteBufferCallbackRef : XHdcp22_Rx_Handles
- DdcErrorCnt : XHdcp22_Rx_Info
- DdcFlag : XHdcp22_Rx_Info
- DdcGetDataCallback : XHdcp22_Rx_Handles
- DdcGetDataCallbackRef : XHdcp22_Rx_Handles
- DdcGetReadBufferSizeCallback : XHdcp22_Rx_Handles
- DdcGetReadBufferSizeCallbackRef : XHdcp22_Rx_Handles
- DdcGetWriteBufferSizeCallback : XHdcp22_Rx_Handles
- DdcGetWriteBufferSizeCallbackRef : XHdcp22_Rx_Handles
- DdcIsReadBufferEmptyCallback : XHdcp22_Rx_Handles
- DdcIsReadBufferEmptyCallbackRef : XHdcp22_Rx_Handles
- DdcIsWriteBufferEmptyCallback : XHdcp22_Rx_Handles
- DdcIsWriteBufferEmptyCallbackRef : XHdcp22_Rx_Handles
- DdcSetAddressCallback : XHdcp22_Rx_Handles
- DdcSetAddressCallbackRef : XHdcp22_Rx_Handles
- DdcSetDataCallback : XHdcp22_Rx_Handles
- DdcSetDataCallbackRef : XHdcp22_Rx_Handles
- Depth : XHdcp22_Rx_Topology
- DeviceCnt : XHdcp22_Rx_Topology
- DeviceId : XHdcp22_Rx_Config
- DpcdFlag : XHdcp22_Rx_Info

### - e -

- EncryptionStatusCallback : XHdcp22_Rx_Handles
- EncryptionStatusCallbackRef : XHdcp22_Rx_Handles
- ErrorFlag : XHdcp22_Rx_Info
- ErrorFlagSticky : XHdcp22_Rx_Info

### - h -

- Handles : XHdcp22_Rx
- HasStreamManagementInfo : XHdcp22_Rx_Info
- Hdcp1DeviceDownstream : XHdcp22_Rx_Topology
- Hdcp20RepeaterDownstream : XHdcp22_Rx_Topology
- Head : XHdcp22_Rx_Log

### - i -

- Info : XHdcp22_Rx
- IsAuthenticatedCallbackSet : XHdcp22_Rx_Handles
- IsAuthenticationRequestCallbackSet : XHdcp22_Rx_Handles
- IsDdcAllCallbacksSet : XHdcp22_Rx_Handles
- IsDdcClearReadBufferCallbackSet : XHdcp22_Rx_Handles
- IsDdcClearRepeaterReadyCallbackSet : XHdcp22_Rx_Handles
- IsDdcClearWriteBufferCallbackSet : XHdcp22_Rx_Handles
- IsDdcGetDataCallbackSet : XHdcp22_Rx_Handles
- IsDdcGetReadBufferSizeCallbackRefSet : XHdcp22_Rx_Handles
- IsDdcGetWriteBufferSizeCallbackSet : XHdcp22_Rx_Handles
- IsDdcIsReadBufferEmptyCallbackSet : XHdcp22_Rx_Handles
- IsDdcIsWriteBufferEmptyCallbackSet : XHdcp22_Rx_Handles
- IsDdcSetAddressCallbackSet : XHdcp22_Rx_Handles
- IsDdcSetDataCallbackSet : XHdcp22_Rx_Handles
- IsEnabled : XHdcp22_Rx_Info
- IsEncrypted : XHdcp22_Rx_Info
- IsEncryptionStatusCallbackSet : XHdcp22_Rx_Handles
- IsNoStoredKm : XHdcp22_Rx_Info
- IsReady : XHdcp22_Rx
- IsRxDpAuxReadCallbackSet : XHdcp22_Rx_Handles
- IsRxDpAuxWriteCallbackSet : XHdcp22_Rx_Handles
- IsRxDpCpIrqSetCallbackSet : XHdcp22_Rx_Handles
- IsRxDpSetClearAuxDeferCallbackSet : XHdcp22_Rx_Handles
- IsStreamManageRequestCallbackSet : XHdcp22_Rx_Handles
- IsTopologyUpdateCallbackSet : XHdcp22_Rx_Handles
- IsTopologyValid : XHdcp22_Rx_Info
- IsUnauthenticatedCallbackSet : XHdcp22_Rx_Handles

### - l -

- LCInitAttempts : XHdcp22_Rx_Info
- LinkErrorCnt : XHdcp22_Rx_Info
- Log : XHdcp22_Rx
- LogEvent : XHdcp22_Rx_LogItem
- LogItems : XHdcp22_Rx_Log

### - m -

- MaxCascadeExceeded : XHdcp22_Rx_Topology
- MaxDevsExceeded : XHdcp22_Rx_Topology
- MessageBuffer : XHdcp22_Rx
- MessageSize : XHdcp22_Rx
- MmultInst : XHdcp22_Rx
- Mode : XHdcp22_Rx_Config
- MontMultDeviceId : XHdcp22_Rx_Config

### - n -

- NextState : XHdcp22_Rx_Info
- NPrimeP : XHdcp22_Rx
- NPrimeQ : XHdcp22_Rx

### - p -

- Params : XHdcp22_Rx
- PrivateKeyPtr : XHdcp22_Rx
- Protocol : XHdcp22_Rx_Config
- PublicCertPtr : XHdcp22_Rx

### - r -

- ReauthReq : XHdcp22_Rx_Info
- ReauthRequestCnt : XHdcp22_Rx_Info
- ReceiverIdList : XHdcp22_Rx_Topology
- ReturnState : XHdcp22_Rx_Info
- RngDeviceId : XHdcp22_Rx_Config
- RngInst : XHdcp22_Rx
- RxCaps : XHdcp22_Rx
- RxDpAuxReadCallback : XHdcp22_Rx_Handles
- RxDpAuxReadCallbackRef : XHdcp22_Rx_Handles
- RxDpAuxWriteCallback : XHdcp22_Rx_Handles
- RxDpAuxWriteCallbackRef : XHdcp22_Rx_Handles
- RxDpCpIrqSetCallback : XHdcp22_Rx_Handles
- RxDpCpIrqSetCallbackRef : XHdcp22_Rx_Handles
- RxDpSetClearAuxDeferCallback : XHdcp22_Rx_Handles
- RxDpSetClearAuxDeferCallbackRef : XHdcp22_Rx_Handles

### - s -

- SeqNumV : XHdcp22_Rx_Info
- SkipRead : XHdcp22_Rx_Info
- StateFunc : XHdcp22_Rx
- StreamManageRequestCallback : XHdcp22_Rx_Handles
- StreamManageRequestCallbackRef : XHdcp22_Rx_Handles

### - t -

- Tail : XHdcp22_Rx_Log
- TimerExpired : XHdcp22_Rx_Info
- TimerInitialTicks : XHdcp22_Rx_Info
- TimerInst : XHdcp22_Rx
- TimerReasonId : XHdcp22_Rx_Info
- TimeStamp : XHdcp22_Rx_LogItem
- Topology : XHdcp22_Rx
- TopologyReady : XHdcp22_Rx_Info
- TopologyUpdateCallback : XHdcp22_Rx_Handles
- TopologyUpdateCallbackRef : XHdcp22_Rx_Handles

### - u -

- UnauthenticatedCallback : XHdcp22_Rx_Handles
- UnauthenticatedCallbackRef : XHdcp22_Rx_Handles

### - v -

- Verbose : XHdcp22_Rx_Log